View Issue Details

IDCategoryLast Update
0006706features2020-04-08 18:51
ReporterOliverAssigned To 
ReproducibilityN/A 
Status closedResolutionfixed 
Platformi686OSXubuntuOS Version14.04 LTS
Product Version4.4 
Fixed in Version 
Summary0006706: Improvements of x-run/dropout counter reset
DescriptionUseful new features for a set-up where an occasional x-run occurs during recording - since it is more informative if the x-run counter on the top right is reset when starting to record:

1. Engaging the global record button should reset the x-run counter. Reset or no reset should be configurable in Preferences->Transport (next to the two other x-run related entries)

2. A keyboard short-cut to enact this reset (currently that does not seem to be possible with the key binding editor). This alone would be as useful as point 1.

3. A single click on the counter resets it.

All these features make it simpler to reset the counter. The shift-click that is currently necessary is a bit cumbersome (mouse plus keyboard).

The x-run indicators on the location bar are already good for pinpointing all new and previous x-runs, but a green x-run counter is the easiest way to see that a clean recording took place.
TagsNo tags attached.

Activities

x42

2015-12-18 14:47

administrator   ~0017728

1 + 2 are nice ideas

3: that'll be prone to accidental resets. Shift+click on the counter resets it.

Oliver

2015-12-18 16:43

reporter   ~0017729

Good thought, agree that point 3 can have side effects. Implementing 1 and/or 2, then, would be very helpful for my set-up.

Oliver

2017-02-14 19:44

reporter   ~0019393

Having a keyboard short-cut for this would still be useful for me. In Ardour 5.6 I still can't find one. - Thanks!

Oliver

2017-08-27 17:51

reporter   ~0019991

..to keep the issue alive: a way to reset the drop-out counter with one hand alone would really be handy for me. Keyboard short-cut?

Oliver

2020-03-28 21:06

reporter   ~0021081

There still seems to be no keyboard shortcut in Ardour 6.0.pre1.21.

Using two hands (mouse click plus holding 'Shift') is not pleasant when also holding an instrument.

Oliver

2020-03-28 21:27

reporter   ~0021086

Referring to the comment of x42 above: also the peak indicators get reset (or should reset) by a single click, maybe the idea of resetting the xrun counter by a single click could be given another thought. Also occasional accidental resets don't seem to be so dangerous.

Oliver

2020-04-07 19:41

reporter   ~0021235

With Ardour 6.0.pre1.167, double clicking is now possible, already an improvement. However, the tool tip still says 'Shift-click to reset'.

x42

2020-04-07 20:03

administrator   ~0021237

Thanks for the reminder!

Double-click is usually reserved for "activate, open" and not appropriate here. But I don't have a strong opinion on the matter, and am leaning towards keeping double-click, mainly for consistency with other status-bar items. I'll ask on IRC and if nobody vetos this, add tooltips.

Shift Click is still the preferred way. It's the general "reset to default" operator in all of Ardour.

As for single-click: there would need to be a dedicated button.

Oliver

2020-04-07 20:19

reporter   ~0021239

I just like to make clear why I kind of insist so much on this.

On my system occasional xruns do occur, and I like to reset this indicator before recording, to catch more easily if one happened during the recording.

Now, with a guitar hanging over the shoulders, bending down to the keyboard, it is really difficult to do simultaneously a keyboard entry (Shift) and a mouse click. I need one hand to keep the guitar from banging around. Double click can be done, not as easy as a single click (both need fine 'aiming') - but the real feature for me would be a keyboard shortcut for 'reset xrun counter', which I can put on a function key. Hitting one key is easy in this situation.

x42

2020-04-07 20:49

administrator   ~0021241

Oh, OK.

In that case a preference "Reset x-run count when starting to record" (not on rec-arm) may be more appropriate.
I'd prefer that over adding more shortcuts to reset the counter, anyway.

Oliver

2020-04-07 21:03

reporter   ~0021243

Yes, that would likely also work well, I am already using a foot switch to start recording.

But is there a 'rationing' of keyboard shortcuts? Why not offer both?

x42

2020-04-07 21:56

administrator   ~0021246

Ardour 6.0-pre1-183-gf7abab11a3 now has a preference to reset x-run counter at rec-start

> But is there a 'rationing' of keyboard shortcuts?

We're already out of available keys for keyboard shortcuts as-is. I guess you could add a Lua Action script, simply calling `Session:reset_xrun_count()`, and bind that to a shortcut.
Do you really think there needs to be a dedicated keyboard shortcut for this?

Oliver

2020-04-08 05:14

reporter   ~0021248

Thanks, I will try both of the methods.

Regarding the keyboard shortcut, I was not thinking that it should be assigned to a key already (indeed not many people might need it), but only available in the keyboard shortcut editor. The Lua thing might be just as good, though.

Oliver

2020-04-08 18:51

reporter   ~0021257

The option to reset the x-run counter automatically at rec-start is convenient, also the Lua action is working. There seem to be enough possibilities now, thanks for implementing.

I would still suggest to highlight a non-zero x-run count in red, as before.

Issue History

Date Modified Username Field Change
2015-12-13 20:00 Oliver New Issue
2015-12-18 14:47 x42 Note Added: 0017728
2015-12-18 16:43 Oliver Note Added: 0017729
2017-02-14 19:44 Oliver Note Added: 0019393
2017-08-27 17:51 Oliver Note Added: 0019991
2020-03-28 21:06 Oliver Note Added: 0021081
2020-03-28 21:27 Oliver Note Added: 0021086
2020-04-07 19:41 Oliver Note Added: 0021235
2020-04-07 20:03 x42 Note Added: 0021237
2020-04-07 20:19 Oliver Note Added: 0021239
2020-04-07 20:49 x42 Note Added: 0021241
2020-04-07 21:03 Oliver Note Added: 0021243
2020-04-07 21:56 x42 Note Added: 0021246
2020-04-08 05:14 Oliver Note Added: 0021248
2020-04-08 18:51 Oliver Status new => closed
2020-04-08 18:51 Oliver Resolution open => fixed
2020-04-08 18:51 Oliver Note Added: 0021257